stages:
  - test

test:
  stage: test
  image: debian:bullseye-slim
  before_script:
    - apt-get -qq update
    - apt-get install -y curl lua5.3 lua-busted lua-check luarocks
    - luarocks --tree /usr install luacov
  script:
    - curl -o swupdate.lua https://raw.githubusercontent.com/sbabic/swupdate/master/handlers/swupdate.lua
    - export LUA_PATH=";;/usr/share/lua/5.1/?.lua;/usr/share/lua/5.1/?/init.lua"
    - luacheck --formatter=TAP swupdate_handlers_roundrobin.lua
    - busted -o TAP -c
    - cat luacov.report.out
  coverage: '/^Total\s+\d+\s+\d+\s+(\d{1,3}\.\d{1,2})%$/'
